## narcissus 1.0.7+ds

=== debian/changelog ===
narcissus (1.0.7+ds-2) unstable; urgency=medium

  * Team upload

  [ Joe Nahmias ]
  * [97ba7af] add git-buildpackage config

  [ Mechtilde ]
  * [17329d8] Made fit or initial release
  * [dc9f577] Added main developers with their name
  * [78c8d59] Bumped standard version - no changes needed

 -- Mechtilde Stehmann <mechtilde@debian.org>  Mon, 07 Apr 2025 19:08:34 +0200

narcissus (1.0.7+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1037455)
  * disable running tests during build (for now)

 -- Joseph Nahmias <jello@debian.org>  Tue, 20 Jun 2023 23:23:21 -0400
