=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

JAVA_HOME := /usr/lib/jvm/default-java
DEB_CFLAGS_MAINT_APPEND += -fPIC -std=c99
DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

override_dh_auto_build-arch:
	mkdir -p $(CURDIR)/target/objs $(CURDIR)/lib
	gcc -I ${JAVA_HOME}/include \
	    -I ${JAVA_HOME}/include/linux \
	    -I $(CURDIR)/src/main/c \
	    -I $(CURDIR)/target/generated-sources/annotations \
	    -o $(CURDIR)/target/objs/narcissus.o \
	    -c $(CURDIR)/src/main/c/narcissus.c $(CPPFLAGS) $(CFLAGS)
	gcc -I ${JAVA_HOME}/include \
	    -I ${JAVA_HOME}/include/linux \
	    -I $(JAVA_HOME)/lib \
	    -o $(CURDIR)/lib/libnarcissus.so \
	    $(CURDIR)/target/objs/narcissus.o -shared $(LDFLAGS)

%:
	dh $@
