## narcissus 1.0.11+ds

=== debian/changelog ===
narcissus (1.0.11+ds-1) unstable; urgency=medium

  * New upstream version 1.0.11+ds
  * refresh patch
  * ignore central-publishing-maven-plugin
  * fix biary-arch FTBFS
    - add missing libnarcissus-jni.poms
    - move B-D-Indep to Build-Deps (Closes: #1103295)

 -- Joseph Nahmias <jello@debian.org>  Wed, 31 Dec 2025 20:08:16 -0500

narcissus (1.0.7+ds-3) unstable; urgency=medium

  * Team upload

  [ Mechtilde ]
  * [6b7431a] Prepared for source only upload

 -- Mechtilde Stehmann <mechtilde@debian.org>  Fri, 18 Apr 2025 17:21:23 +0200
