=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  Joseph Nahmias <jello@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
-Build-Depends-Indep:
  default-jdk,
  maven-debian-helper,
  libmaven-antrun-plugin-java,
